Skip to main content
GET
List audit logs
Administrator access with explicit administrator permission on API keys or MCP credentials, or a signed-in administrator. Read workspace audit history. Administrator access is required; entries exclude post bodies and secrets. Only administrators with access to the workspace can read these events. Logs begin after the audit feature is installed and exclude secrets and post bodies. MCP clients can use list_audit_logs for this operation. Request conventions · API keys · MCP connections

Authorizations

Authorization
string
header
required

Personal or workspace Posted REST API key

Query Parameters

workspaceId
string<uuid>
required

Workspace UUID returned by list_workspaces. Required for Default too.

page
integer

integer

Required range: 1 <= x <= 9007199254740991
pageSize
integer

integer

Required range: 1 <= x <= 100
action
string

string

Maximum string length: 80
Pattern: ^[a-z_]+\.[a-z_]+$
actorId

JSON value

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resourceType
enum<string>

workspace, member, connection, post, draft, media, delivery, api_key

Available options:
workspace,
member,
connection,
post,
draft,
media,
delivery,
api_key
from
string<date-time>

date-time

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

Response

Successful response. Examples are illustrative; field values vary by record.

items
object[]
total
integer
page
integer
pageSize
integer